Subject: bug#11937: 24.1.50; Gnus error "No such function: nnagent-retrieve-artic

From: [email-masked]
Date: Mon, 05 Nov 2012 22:37:11 -0500

Hi,

On 05.11.2012 09:49, Dmitry Gutov wrote:
> So, I'm seeing this again now. The backtrace looks pretty much the same.
> 
> I press 'J u' when the point is on this very group, and get this
> error. When I do this with other groups, I see the expected "Fetching
> *... done".
> 
> What's different about it from other groups is that it has 15 messages
> I can't read. They show up like this:
> 
> %  [   0: Gnus Agent             ] [Undownloaded article 64379]
> %  [   0: Gnus Agent             ] [Undownloaded article 64380]
>    [   0: Gnus Agent             ] [Undownloaded article 64381]
> 
> and Gnus just says "message marked for downloading" when I try to read
> any of them. Maybe this actual operation (download a few selected
> articles) is not implemented?

I'm seeing something similiar.

In my *Messages* buffer I see:

Fetching articles for gmane.os.cygwin...
while: No such function: nnagent-retrieve-articles
Fetching headers for gmane.os.cygwin...done
Sorting threads...done
Generating summary...done
Sorting threads...done
Generating summary...done
Message marked for downloading

Also, I didn't see any keymap for `G E'.

`describe-bindings' only showed me:

G C-n		gnus-summary-next-same-subject
G C-p		gnus-summary-prev-same-subject
G ESC		Prefix Command
G N		gnus-summary-next-article
G P		gnus-summary-prev-article
G b		gnus-summary-best-unread-article
G f		gnus-summary-first-unread-article
G g		gnus-summary-goto-subject
G j		gnus-summary-goto-article
G l		gnus-summary-goto-last-article
G n		gnus-summary-next-unread-article
G o		gnus-summary-pop-article
G p		gnus-summary-prev-unread-article

Due to temporary connection problems to other news servers
I had defined (in `gnus-secondary-select-methods'), which
did not show up in the *Group* buffer, perhaps the
incomplete keymap problem (missing `G E') was the result of
that?

Thanks.

In GNU Emacs 24.2.50.1 (i386-mingw-nt5.1.2600)
 of 2012-10-29 on DANI-PC
Bzr revision: 110729 [email-masked]
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.7) --no-opt --enable-checking --cflags
 -I../../libs/libxpm-3.5.8/include -I../../libs/libxpm-3.5.8/src
 -I../../libs/libpng-1.4.10 -I../../libs/zlib-1.2.6
 -I../../libs/giflib-4.1.4-1/include -I../../libs/jpeg-6b-4/include
 -I../../libs/tiff-3.8.2-1/include
 -I../../libs/libxml2-2.7.8-w32-bin/include/libxml2
 -I../../libs/gnutls-3.0.16/include
 -I../../libs/libiconv-1.14-2-mingw32-dev/include'

Debugger entered--Lisp error: (error "No such function: nnagent-retrieve-articles")
  signal(error ("No such function: nnagent-retrieve-articles"))
  (while t (signal (quote error) (list (apply (quote format) args))))
  error("No such function: %s" nnagent-retrieve-articles)
  gnus-get-function((nntp "news" (nntp-address "news.gmane.org") (nnir-search-engine nntp)) retrieve-articles)
  gnus-retrieve-articles((136441) "gmane.os.cygwin")
  gnus-agent-fetch-articles("gmane.os.cygwin" (136441))
  gnus-agent-summary-fetch-group(nil)
  call-interactively(gnus-agent-summary-fetch-group nil nil)